<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="7.10"
	Name="Synch_Benchmarks_Perf_Test"
	ProjectGUID="{ADAC2EB8-FECA-1BAD-A22A-C0E6010FC8F7}"
	SccProjectName=""
	SccLocalPath="">
	<Platforms>
		<Platform
			Name="Win32"/>
	</Platforms>
	<Configurations>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="..\..\..\lib"
			IntermediateDirectory="Release\Synch_Benchmarks_Perf_Test"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="3"
				AdditionalIncludeDirectories="..\..\..,.."
				PreprocessorDefinitions="NDEBUG;WIN32;_WINDOWS"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				RuntimeLibrary="2"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="FALSE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="Synch_Lib.lib ACE.lib"
				OutputFile="$(OutDir)\Synch_Benchmarks_Perf_Test.dll"
				Version="5.403"
				LinkIncremental="1"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="..\..\..\lib;..\Synch_Lib"
				GenerateDebugInformation="TRUE"
				ProgramDatabaseFile="$(OutDir)\Synch_Benchmarks_Perf_Test.pdb"
				SubSystem="1"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				ImportLibrary="..\..\..\lib\Synch_Benchmarks_Perf_Test.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="NDEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..,.."/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="..\..\..\lib"
			IntermediateDirectory="Debug\Synch_Benchmarks_Perf_Test"
			ConfigurationType="2"
			UseOfMFC="0"
			ATLMinimizesCRunTimeLibraryUsage="FALSE"
			CharacterSet="0">
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				AdditionalIncludeDirectories="..\..\..,.."
				PreprocessorDefinitions="_DEBUG;WIN32;_WINDOWS"
				MinimalRebuild="FALSE"
				ExceptionHandling="TRUE"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				BufferSecurityCheck="TRUE"
				EnableFunctionLevelLinking="TRUE"
				TreatWChar_tAsBuiltInType="FALSE"
				ForceConformanceInForLoopScope="TRUE"
				RuntimeTypeInfo="TRUE"
				WarningLevel="3"
				SuppressStartupBanner="TRUE"
				Detect64BitPortabilityProblems="FALSE"
				DebugInformationFormat="3"/>
			<Tool
				Name="VCCustomBuildTool"/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="Synch_Libd.lib ACEd.lib"
				OutputFile="$(OutDir)\Synch_Benchmarks_Perf_Testd.dll"
				Version="5.403"
				LinkIncremental="1"
				SuppressStartupBanner="TRUE"
				AdditionalLibraryDirectories="..\..\..\lib;..\Synch_Lib"
				GenerateDebugInformation="TRUE"
				ProgramDatabaseFile="$(OutDir)\Synch_Benchmarks_Perf_Testd.pdb"
				SubSystem="1"
				ImportLibrary="..\..\..\lib\Synch_Benchmarks_Perf_Testd.lib"
				TargetMachine="1"/>
			<Tool
				Name="VCPostBuildEventTool"/>
			<Tool
				Name="VCPreBuildEventTool"/>
			<Tool
				Name="VCPreLinkEventTool"/>
			<Tool
				Name="VCResourceCompilerTool"
				PreprocessorDefinitions="_DEBUG"
				Culture="1033"
				AdditionalIncludeDirectories="..\..\..,.."/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"/>
			<Tool
				Name="VCWebDeploymentTool"/>
		</Configuration>
	</Configurations>
	<Files>
		<Filter
			Name="Source Files"
			Filter="cpp;cxx;cc;C;c">
			<File
				RelativePath="Adaptive_Lock_Performance_Test_Base.cpp">
			</File>
			<File
				RelativePath="adaptive_mutex_test.cpp">
			</File>
			<File
				RelativePath="adaptive_recursive_lock_test.cpp">
			</File>
			<File
				RelativePath="adaptive_sema_test.cpp">
			</File>
			<File
				RelativePath="Benchmark_Performance.cpp">
			</File>
			<File
				RelativePath="condb_test.cpp">
			</File>
			<File
				RelativePath="conds_test.cpp">
			</File>
			<File
				RelativePath="context_test.cpp">
			</File>
			<File
				RelativePath="guard_test.cpp">
			</File>
			<File
				RelativePath="memory_test.cpp">
			</File>
			<File
				RelativePath="mutex_test.cpp">
			</File>
			<File
				RelativePath="Performance_Test.cpp">
			</File>
			<File
				RelativePath="Performance_Test_Options.cpp">
			</File>
			<File
				RelativePath="pipe_proc_test.cpp">
			</File>
			<File
				RelativePath="pipe_thr_test.cpp">
			</File>
			<File
				RelativePath="recursive_lock_test.cpp">
			</File>
			<File
				RelativePath="rwrd_test.cpp">
			</File>
			<File
				RelativePath="rwwr_test.cpp">
			</File>
			<File
				RelativePath="sema_test.cpp">
			</File>
			<File
				RelativePath="sysvsema_test.cpp">
			</File>
			<File
				RelativePath="token_test.cpp">
			</File>
		</Filter>
		<Filter
			Name="Header Files"
			Filter="h;hpp;hxx;hh">
			<File
				RelativePath="Adaptive_Lock_Performance_Test_Base.h">
			</File>
			<File
				RelativePath="Benchmark_Performance.h">
			</File>
			<File
				RelativePath="Performance_Test.h">
			</File>
			<File
				RelativePath="Performance_Test_Options.h">
			</File>
		</Filter>
		<Filter
			Name="Inline Files"
			Filter="i;inl">
			<File
				RelativePath="Performance_Test_Options.i">
			</File>
		</Filter>
		<Filter
			Name="Documentation"
			Filter="">
			<File
				RelativePath="README">
			</File>
		</Filter>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
